# Retrieve a wallet transaction

Get details on a specific wallet transaction.

Read our [wallet transactions guide](https://docs.moov.io/guides/sources/wallets/transactions/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

GET

/accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}

Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"
```

Ask

```go
mc, _ := moov.NewClient()

var accountID string
var walletID string
var transactionID string

mc.GetWalletTransaction(ctx, accountID, walletID, transactionID)
```

Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.walletTransactions.get({
    accountID: "f0b02d73-10dc-42e6-8030-fd78fcbc114f",
    walletID: "03db97f6-c308-4595-8f43-fd247f1bd3f2",
    transactionID: "e0a32cf5-5758-49ba-83da-75bf02c9c6d7",
  });

console.log(result);
}

run();
```

Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->walletTransactions->get(
    accountID: 'f0b02d73-10dc-42e6-8030-fd78fcbc114f',
    walletID: '03db97f6-c308-4595-8f43-fd247f1bd3f2',
    transactionID: 'e0a32cf5-5758-49ba-83da-75bf02c9c6d7'
);

if ($response->walletTransaction !== null) {
    // handle response
}
```

Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetWalletTransactionResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetWalletTransactionResponse res = sdk.walletTransactions().get()
                .accountID("f0b02d73-10dc-42e6-8030-fd78fcbc114f")
                .walletID("03db97f6-c308-4595-8f43-fd247f1bd3f2")
                .transactionID("e0a32cf5-5758-49ba-83da-75bf02c9c6d7")
                .call();

if (res.walletTransaction().isPresent()) {
            System.out.println(res.walletTransaction().get());
        }
    }
}
```

Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.wallet_transactions.get(account_id="f0b02d73-10dc-42e6-8030-fd78fcbc114f", wallet_id="03db97f6-c308-4595-8f43-fd247f1bd3f2", transaction_id="e0a32cf5-5758-49ba-83da-75bf02c9c6d7")

# Handle response
    print(res)
```

Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.wallet_transactions.get(account_id: 'f0b02d73-10dc-42e6-8030-fd78fcbc114f', wallet_id: '03db97f6-c308-4595-8f43-fd247f1bd3f2', transaction_id: 'e0a32cf5-5758-49ba-83da-75bf02c9c6d7')

unless res.wallet_transaction.nil? {
  // handle response
}
end
```

Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.WalletTransactions.GetAsync(
    accountID: "f0b02d73-10dc-42e6-8030-fd78fcbc114f",
    walletID: "03db97f6-c308-4595-8f43-fd247f1bd3f2",
    transactionID: "e0a32cf5-5758-49ba-83da-75bf02c9c6d7"
);

// handle response
```

The request completed successfully.

Ask

Example

A transaction that funds or deducts from the wallet.

```json
{
  "walletID": "string",
  "transactionID": "string",
  "transactionType": "account-funding",
  "sourceType": "transfer",
  "sourceID": "string",
  "status": "pending",
  "memo": "string",
  "createdOn": "2019-08-24T14:15:22Z",
  "completedOn": "2019-08-24T14:15:22Z",
  "currency": "USD",
  "grossAmount": 0,
  "grossAmountDecimal": "string",
  "fee": 0,
  "feeIDs": [
    "string"
  ],
  "feeDecimal": "string",
  "netAmount": 0,
  "netAmountDecimal": "string",
  "availableBalance": 0,
  "availableBalanceDecimal": "string",
  "sweepID": "string"
}
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The requested resource was not found.

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.04.00`

A transaction that funds or deducts from the wallet.

A 3-letter ISO 4217 currency code.

Total fees paid for the transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Total fees paid for the transaction. Same as `fee`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

The total transaction amount. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

The total transaction amount. Same as `grossAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

Detailed description of the transaction.

Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. Same as `netAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

The ID of the Moov object to which this transaction is related.

Possible values:

`transfer`,

`dispute`,

`issuing-card-transaction`,

`issuing-authorization`,

`sweep`,

`adjustment`,

`fee`,

`residual`

Possible values:

`pending`,

`completed`,

`canceled`,

`failed`

Possible values:

`account-funding`,

`ach-reversal`,

`auto-sweep`,

`card-payment`,

`card-decline`,

`card-reversal`,

`cash-out`,

`dispute`,

`dispute-reversal`,

`facilitator-fee`,

`issuing-refund`,

`issuing-transaction`,

`issuing-transaction-adjustment`,

`issuing-auth-hold`,

`issuing-auth-release`,

`issuing-decline`,

`moov-fee`,

`payment`,

`payout`,

`refund`,

`refund-failure`,

`rtp-failure`,

`top-up`,

`wallet-transfer`,

`adjustment`,

`fee-revenue`,

`residual`,

`instant-bank-failure`

The wallet's total available balance after recording a completed transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

The wallet's total available balance after recording a completed transaction. Same as `availableBalance`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

The IDs of the fees paid for the transaction.

ID of the sweep this transaction accrued in.
